This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769304 - virt-resize on RHEL 6 kernel fails to re-read the partition table
virt-resize on RHEL 6 kernel fails to re-read the partition table
Status: CLOSED RAWHIDE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 769359
  Show dependency treegraph
 
Reported: 2011-12-20 08:32 EST by Grant Williamson
Modified: 2012-02-09 07:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 769359 (view as bug list)
Environment:
Last Closed: 2012-02-09 07:50:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Grant Williamson 2011-12-20 08:32:21 EST
Description of problem:
Unable to resize windows xp ntfs partition using virt-resize
Fails with 
Fatal error: exception Guestfs.Error("part_set_bootable: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.")

Version-Release number of selected component (if applicable):
RHEL 6.2
libguestfs 1.14.1

Debug :-
virt-filesystems -a /var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2 --all --long
Name       Type        VFS   Label  MBR  Size         Parent
/dev/sda1  filesystem  ntfs  -      -    21459723264  -
/dev/sda1  partition   -     -      07   21459723264  /dev/sda
/dev/sda   device      -     -      -    21474836480  -

truncate -s 40G TEST.raw

command line: virt-resize --expand /dev/sda1 Virtual_Client_for_Linux_KVM_Windows_XP.raw TEST.raw -d
Examining Virtual_Client_for_Linux_KVM_Windows_XP.raw ...
libguestfs: trace: add_drive_opts "Virtual_Client_for_Linux_KVM_Windows_XP.raw" "readonly:true"
libguestfs: trace: add_drive_opts = 0
libguestfs: trace: add_drive_opts "TEST.raw" "readonly:false"
libguestfs: trace: add_drive_opts = 0
libguestfs: trace: launch
libguestfs: trace: launch = 0
libguestfs: trace: lvm_set_filter "/dev/sda"
libguestfs: trace: lvm_set_filter = 0
libguestfs: trace: available "ntfsprogs ntfs3g"
libguestfs: trace: available = 0
libguestfs: trace: available "btrfs"
libguestfs: trace: available = 0
libguestfs: trace: blockdev_getss "/dev/sdb"
libguestfs: trace: blockdev_getss = 512
libguestfs: trace: blockdev_getsize64 "/dev/sda"
libguestfs: trace: blockdev_getsize64 = 21474836480
libguestfs: trace: blockdev_getsize64 "/dev/sdb"
libguestfs: trace: blockdev_getsize64 = 42949672960
libguestfs: trace: part_get_parttype "/dev/sda"
libguestfs: trace: part_get_parttype = "msdos"
Virtual_Client_for_Linux_KVM_Windows_XP.raw size 21474836480 bytes
TEST.raw size 42949672960 bytes
partition table type: msdos
libguestfs: trace: pvs_full
libguestfs: trace: pvs_full = <struct guestfs_lvm_pv_list *>
libguestfs: trace: part_list "/dev/sda"
libguestfs: trace: part_list = <struct guestfs_partition_list *>
libguestfs: trace: part_get_bootable "/dev/sda" 1
libguestfs: trace: part_get_bootable = 1
libguestfs: trace: part_get_mbr_id "/dev/sda" 1
libguestfs: trace: part_get_mbr_id = 7
libguestfs: trace: vfs_type "/dev/sda1"
libguestfs: trace: vfs_type = "ntfs"
libguestfs: trace: mount_ro "/dev/sda1" "/"
libguestfs: trace: mount_ro = 0
libguestfs: trace: statvfs "/"
libguestfs: trace: statvfs = <struct guestfs_statvfs *>
libguestfs: trace: lvs
libguestfs: trace: lvs = []
1 partitions found
/dev/sda1:
	partition data: 1 32256-21459755519 (21459723264 bytes)
	bootable: true
	partition ID: 0x7
	content: filesystem ntfs (21459722240 bytes)
0 logical volumes found
surplus before --expand or --shrink: 21487688704
**********

Summary of changes:

/dev/sda1: This partition will be resized from 20.0G to 40.0G.  The 
    filesystem ntfs on /dev/sda1 will be expanded using the 
    'ntfsresize' method.

**********
Setting up initial partition table on TEST.raw ...
libguestfs: trace: part_init "/dev/sdb" "msdos"
libguestfs: trace: part_init = 0
libguestfs: trace: pread_device "/dev/sda" 446 0
libguestfs: trace: pread_device = "3\xc0\x8e\xd0\xbc\x00|\xfbP\x07P\x1f\xfc\xbe\x1b|\xbf\x1b\x06PW\xb9\xe5\x01\xf3\xa4\xcb\xbd\xbe\x07\xb1\x048n\x00|\x09u\x13\x83\xc5\x10\xe2\xf4\xcd\x18\x8b\xf5\x83\xc6\x10It\x198,t\xf6\xa0\xb5\x07\xb4\x07\x8b\xf0\xac<\x00t\xfc\xbb\x07\x00\xb4\x0e\xcd\x10\xeb\xf2\x88N\x10\xe8F\x00s*\xfeF\x10\x80~\x04\x0bt\x0b\x80~\x04\x0ct\x05\xa0\xb6\x07u\xd2\x80F\x02\x06\x83F\x08\x06\x83V\x0a\x00\xe8!\x00s\x05\xa0\xb6\x07\xeb\xbc\x81>\xfe}U\xaat\x0b\x80~\x10\x00t\xc8\xa0\xb7\x07\xeb\xa9\x8b\xfc\x1eW\x8b\xf5\xcb\xbf\x05\x00\x8aV\x00\xb4\x08\xcd\x13r#\x8a\xc1$?\x98\x8a\xde\x8a\xfcC\xf7\xe3\x8b\xd1\x86\xd6\xb1\x06\xd2\xeeB\xf7\xe29V\x0aw#r\x059F\x08s\x1c\xb8\x01\x02\xbb\x00|\x8bN\x02\x8bV\x00\xcd\x13sQOtN2\xe4\x8aV\x00\xcd\x13\xeb\xe4\x8aV\x00`\xbb\xaaU\xb4A\xcd\x13r6\x81\xfbU\xaau0\xf6\xc1\x01t+a`"<truncated, original size 446 bytes>
libguestfs: trace: pwrite_device "/dev/sdb" "3\xc0\x8e\xd0\xbc\x00|\xfbP\x07P\x1f\xfc\xbe\x1b|\xbf\x1b\x06PW\xb9\xe5\x01\xf3\xa4\xcb\xbd\xbe\x07\xb1\x048n\x00|\x09u\x13\x83\xc5\x10\xe2\xf4\xcd\x18\x8b\xf5\x83\xc6\x10It\x198,t\xf6\xa0\xb5\x07\xb4\x07\x8b\xf0\xac<\x00t\xfc\xbb\x07\x00\xb4\x0e\xcd\x10\xeb\xf2\x88N\x10\xe8F\x00s*\xfeF\x10\x80~\x04\x0bt\x0b\x80~\x04\x0ct\x05\xa0\xb6\x07u\xd2\x80F\x02\x06\x83F\x08\x06\x83V\x0a\x00\xe8!\x00s\x05\xa0\xb6\x07\xeb\xbc\x81>\xfe}U\xaat\x0b\x80~\x10\x00t\xc8\xa0\xb7\x07\xeb\xa9\x8b\xfc\x1eW\x8b\xf5\xcb\xbf\x05\x00\x8aV\x00\xb4\x08\xcd\x13r#\x8a\xc1$?\x98\x8a\xde\x8a\xfcC\xf7\xe3\x8b\xd1\x86\xd6\xb1\x06\xd2\xeeB\xf7\xe29V\x0aw#r\x059F\x08s\x1c\xb8\x01\x02\xbb\x00|\x8bN\x02\x8bV\x00\xcd\x13sQOtN2\xe4\x8aV\x00\xcd\x13\xeb\xe4\x8aV\x00`\xbb\xaaU\xb4A\xcd\x13r6\x81\xfbU\xaau0\xf6\xc1\x01t+a`"<truncated, original size 446 bytes> 0
libguestfs: trace: pwrite_device = 446
libguestfs: trace: pread_device "/dev/sda" 2097152 512
libguestfs: trace: pread_device = "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"<truncated, original size 2097152 bytes>
libguestfs: trace: pwrite_device "/dev/sdb" "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"<truncated, original size 2097152 bytes> 512
libguestfs: trace: pwrite_device = 2097152
align_first_partition_and_fix_bootloader = true
libguestfs: trace: part_add "/dev/sdb" "primary" 128 83881855
libguestfs: trace: part_add = 0
Copying /dev/sda1 ...
libguestfs: trace: copy_device_to_device "/dev/sda1" "/dev/sdb1" "size:21459723264"
 100% 
libguestfs: trace: copy_device_to_device = 0
libguestfs: trace: part_set_bootable "/dev/sdb" 1 true
libguestfs: trace: part_set_bootable = -1 (error)
Fatal error: exception Guestfs.Error("part_set_bootable: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.")
libguestfs: trace: close
libguestfs: trace: internal_autosync
libguestfs: trace: internal_autosync = 0
libguestfs: trace: kill_subprocess
libguestfs: trace: kill_subprocess = 0

-bash-4.1# virt-filesystems -a /var/lib/libvirt/images/TEST.raw --all --long
Name       Type        VFS   Label  MBR  Size         Parent
/dev/sda1  filesystem  ntfs  -      -    42947444736  -
/dev/sda1  partition   -     -      83   42947444736  /dev/sda
/dev/sda   device      -     -      -    42949672960  -
Comment 1 Grant Williamson 2011-12-20 09:34:03 EST
Trying a conversion from qcow2 to raw fails with libguestfs 1.14.1
Using 1.7.17 it completed successfully however was not bootable.
i.e.
--output-format raw 

export LIBGUESTFS_DEBUG=1
[virt-resize --output-format raw --expand /dev/sda1 /var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2 TEST.raw
Examining /var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2 ...
libguestfs: new guestfs handle 0x1aba360
libguestfs: [00000ms] febootstrap-supermin-helper --verbose -f checksum '/usr/lib64/guestfs/supermin.d' x86_64
supermin helper [00000ms] whitelist = (not specified), host_cpu = x86_64, kernel = (null), initrd = (null), appliance = (null)
supermin helper [00000ms] inputs[0] = /usr/lib64/guestfs/supermin.d
checking modpath /lib/modules/2.6.32-220.el6.x86_64 is a directory
picked vmlinuz-2.6.32-220.el6.x86_64 because modpath /lib/modules/2.6.32-220.el6.x86_64 exists
supermin helper [00003ms] finished creating kernel
supermin helper [00003ms] visiting /usr/lib64/guestfs/supermin.d
supermin helper [00003ms] visiting /usr/lib64/guestfs/supermin.d/base.img
supermin helper [00003ms] visiting /usr/lib64/guestfs/supermin.d/daemon.img
supermin helper [00003ms] visiting /usr/lib64/guestfs/supermin.d/hostfiles
supermin helper [00138ms] visiting /usr/lib64/guestfs/supermin.d/init.img
supermin helper [00139ms] visiting /usr/lib64/guestfs/supermin.d/ntfs.hostfiles
supermin helper [00139ms] visiting /usr/lib64/guestfs/supermin.d/ntfs.img
supermin helper [00139ms] adding kernel modules
supermin helper [00300ms] finished creating appliance
libguestfs: [00326ms] begin testing qemu features
libguestfs: [00355ms] finished testing qemu features
libguestfs: accept_from_daemon: 0x1aba360 g->state = 1
[00358ms] /usr/libexec/qemu-kvm \
    -drive file=/var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2,snapshot=on,format=raw,if=virtio \
    -drive file=TEST.raw,cache=off,if=virtio \
    -nodefconfig \
    -enable-kvm \
    -nodefaults \
    -nographic \
    -m 500 \
    -no-reboot \
    -device virtio-serial \
    -serial stdio \
    -chardev socket,path=/tmp/libguestfsxpGkCD/guestfsd.sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -kernel /var/tmp/.guestfs-0/kernel.18893 \
    -initrd /var/tmp/.guestfs-0/initrd.18893 \
    -append 'panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm ' \
    -drive file=/var/tmp/.guestfs-0/root.18893,snapshot=on,if=virtio,cache=unsafe\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 07/26/11
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@hs20-bc2-3.build.redhat.com) Tue Jul 26 15:05:08 UTC 2011
Term: 80x24
4 0
SeaBIOS (version 0.6.1.2-20111101_081028-x86-007.build.bos.redhat.com)

Probing EDD (edd=off to disable)... ok
\x1b[2J\x1b[2JInitializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.32-220.el6.x86_64 (mockbuild@x86-004.build.bos.redhat.com) (gcc version 4.4.5 20110214 (Red Hat 4.4.5-6) (GCC) ) #1 SMP Wed Nov 9 08:03:13 EST 2011
Command line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
Disabled fast string operations
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 0000000000099800 (usable)
 BIOS-e820: 0000000000099800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001f3fd000 (usable)
 BIOS-e820: 000000001f3fd000 - 000000001f400000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
DMI 2.4 present.
SMBIOS version 2.4 @ 0xFDA50
last_pfn = 0x1f3fd max_arch_pfn = 0x400000000
PAT not supported by CPU.
init_memory_mapping: 0000000000000000-000000001f3fd000
RAMDISK: 1f1ac000 - 1f3ef000
No NUMA configuration found
Faking a node at 0000000000000000-000000001f3fd000
Bootmem setup node 0 0000000000000000-000000001f3fd000
  NODE_DATA [0000000000009000 - 000000000003cfff]
  bootmap [000000000003d000 -  0000000000040e7f] pages 4
(7 early reservations) ==> bootmem [0000000000 - 001f3fd000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0001000000 - 000200c7e4]    TEXT DATA BSS ==> [0001000000 - 000200c7e4]
  #3 [001f1ac000 - 001f3ef000]          RAMDISK ==> [001f1ac000 - 001f3ef000]
  #4 [0000099800 - 0000100000]    BIOS reserved ==> [0000099800 - 0000100000]
  #5 [000200d000 - 000200d059]              BRK ==> [000200d000 - 000200d059]
  #6 [0000008000 - 0000009000]          PGTABLE ==> [0000008000 - 0000009000]
found SMP MP-table at [ffff8800000fda70] fda70
kvm-clock: Using msrs 4b564d01 and 4b564d00
kvm-clock: cpu 0, msr 0:1c1df41, boot clock
Zone PFN ranges:
  DMA      0x00000001 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00100000
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0: 0x00000001 -> 0x00000099
    0: 0x00000100 -> 0x0001f3fd
SFI: Simple Firmware Interface v0.7 http://simplefirmware.org
Intel MultiProcessor Specification v1.4
MPTABLE: OEM ID: BOCHSCPU
MPTABLE: Product ID: 0.1         
MPTABLE: APIC at: 0xFEE00000
Processor #0 (Bootup-CPU)
I/O APIC #1 Version 17 at 0xFEC00000.
Processors: 1
SMP: Allowing 1 CPUs, 0 hotplug CPUs
PM: Registered nosave memory: 0000000000099000 - 000000000009a000
PM: Registered nosave memory: 000000000009a000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
Allocating PCI resources starting at 1f400000 (gap: 1f400000:e0bbc000)
Booting paravirtualized kernel on KVM
NR_CPUS:4096 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
PERCPU: Embedded 30 pages/cpu @ffff880002200000 s92696 r8192 d21992 u2097152
pcpu-alloc: s92696 r8192 d21992 u2097152 alloc=1*2097152
pcpu-alloc: [0] 0 
kvm-clock: cpu 0, msr 0:2215f41, primary cpu clock
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 126037
Policy zone: DMA32
Kernel command line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Memory: 484020k/511988k available (5084k kernel code, 416k absent, 27552k reserved, 7229k data, 1244k init)
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:33024 nr_irqs:256
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Detected 1995.203 MHz processor.
[    0.002999] Calibrating delay loop (skipped) preset value.. 3990.40 BogoMIPS (lpj=1995203)
[    0.004021] pid_max: default: 32768 minimum: 301
[    0.006546] Security Framework initialized
[    0.007027] SELinux:  Disabled at boot.
[    0.009059] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.012444] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.014734] Mount-cache hash table entries: 256
[    0.018236] Initializing cgroup subsys ns
[    0.019012] Initializing cgroup subsys cpuacct
[    0.020016] Initializing cgroup subsys memory
[    0.022072] Initializing cgroup subsys devices
[    0.024017] Initializing cgroup subsys freezer
[    0.026013] Initializing cgroup subsys net_cls
[    0.027013] Initializing cgroup subsys blkio
[    0.028054] Initializing cgroup subsys perf_event
[    0.030416] Disabled fast string operations
[    0.033416] mce: CPU supports 10 MCE banks
[    0.035075] alternatives: switching to unfair spinlock
[    0.046431] SMP alternatives: switching to UP code
[    0.266017] Freeing SMP alternatives: 33k freed
[    0.267097] ftrace: converting mcount calls to 0f 1f 44 00 00
[    0.268048] ftrace: allocating 20776 entries in 82 pages
[    0.273242] Setting APIC routing to flat
[    0.278480] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.279004] CPU0: Intel QEMU Virtual CPU version (cpu64-rhel6) stepping 03
[    0.384937] Performance Events: Broken PMU hardware detected, using software events only.
[    0.387331] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.389046] Brought up 1 CPUs
[    0.390006] Total of 1 processors activated (3990.40 BogoMIPS).
[    0.393462] devtmpfs: initialized
[    0.402328] regulator: core version 0.5
[    0.404176] NET: Registered protocol family 16
[    0.407968] PCI: Using configuration type 1 for base access
[    0.411486] bio: create slab <bio-0> at 0
[    0.413317] ACPI: Interpreter disabled.
[    0.415108] vgaarb: loaded
[    0.417250] SCSI subsystem initialized
[    0.419305] usbcore: registered new interface driver usbfs
[    0.421041] usbcore: registered new interface driver hub
[    0.423055] usbcore: registered new device driver usb
[    0.425236] PCI: Probing PCI hardware
[    0.430507] pci 0000:00:01.3: quirk: region b000-b03f claimed by PIIX4 ACPI
[    0.432029] pci 0000:00:01.3: quirk: region b100-b10f claimed by PIIX4 SMB
[    0.440904] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.442560] NetLabel: Initializing
[    0.443007] NetLabel:  domain hash size = 128
[    0.445006] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.448028] NetLabel:  unlabeled traffic allowed by default
[    0.450109] Switching to clocksource kvm-clock
[    0.470348] pnp: PnP ACPI: disabled
[    0.472323] NET: Registered protocol family 2
[    0.474534] IP route cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.479109] TCP established hash table entries: 16384 (order: 6, 262144 bytes)
[    0.482527] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.485497] TCP: Hash tables configured (established 16384 bind 16384)
[    0.487832] TCP reno registered
[    0.489235] NET: Registered protocol family 1
[    0.490872] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.493057] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.495193] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.497516] Trying to unpack rootfs image as initramfs...
[    0.507286] Freeing initrd memory: 2316k freed
[    0.510291] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.514106] audit: initializing netlink socket (disabled)
[    0.516099] type=2000 audit(1324391163.516:1): initialized
[    0.538541] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.552258] VFS: Disk quotas dquot_6.5.2
[    0.554079] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.556585] msgmni has been set to 949
[    0.558385] alg: No test for stdrng (krng)
[    0.559955] ksign: Installing public key data
[    0.561593] Loading keyring
[    0.562700] - Added public key 4BB1E63D18B42658
[    0.564370] - User ID: Red Hat, Inc. (Kernel Module GPG key)
[    0.567161] - Added public key D4A26C9CCD09BEDA
[    0.569242] - User ID: Red Hat Enterprise Linux Driver Update Program <secalert@redhat.com>
[    0.572509] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.575278] io scheduler noop registered
[    0.576731] io scheduler anticipatory registered
[    0.578409] io scheduler deadline registered
[    0.580097] io scheduler cfq registered (default)
[    0.582092] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.584149] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.586535] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.591392] Non-volatile memory driver v1.3
[    0.593162] Linux agpgart interface v0.103
[    0.595228] crash memory driver: version 1.1
[    0.597531] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
\xffffffff[    0.849407] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.856242] brd: module loaded
[    0.859853] loop: module loaded
[    0.861156] input: Macintosh mouse button emulation as /devices/virtual/input/input0
[    0.864136] Fixed MDIO Bus: probed
[    0.865560] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.868446] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.870727] uhci_hcd: USB Universal Host Controller Interface driver
[    0.873456] PNP: No PS/2 controller found. Probing ports directly.
[    0.877560] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.879617] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.882078] mice: PS/2 mouse device common for all mice
[    0.884993] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    0.888323] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.894185] rtc0: alarms up to one day, 114 bytes nvram
[    0.896114] cpuidle: using governor ladder
[    0.897626] cpuidle: using governor menu
[    0.904894] usbcore: registered new interface driver hiddev
[    0.907006] usbcore: registered new interface driver usbhid
[    0.909042] usbhid: v2.6:USB HID core driver
[    0.910822] TCP cubic registered
[    0.912026] Initializing XFRM netlink socket
[    0.913611] NET: Registered protocol family 17
[    0.915472] registered taskstats version 1
[    0.918137] rtc_cmos rtc_cmos: setting system clock to 2011-12-20 14:26:02 UTC (1324391162)
[    0.921655] Initalizing network drop monitor service
[    0.923929] Freeing unused kernel memory: 1244k freed
[    0.926728] Write protecting the kernel read-only data: 10240k
[    0.929685] Freeing unused kernel memory: 1040k freed
[    0.933778] Freeing unused kernel memory: 1760k freed
febootstrap: mounting /proc
febootstrap: uptime: 0.96 0.51
febootstrap: ext2 mini initrd starting up: 3.12 zlib
febootstrap: mounting /sys
febootstrap: internal insmod libcrc32c.ko
febootstrap: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
febootstrap: internal insmod crc-itu-t.ko
febootstrap: internal insmod crc-t10dif.ko
febootstrap: internal insmod crc-ccitt.ko
febootstrap: internal insmod crc7.ko
febootstrap: internal insmod mbcache.ko
febootstrap: internal insmod cdrom.ko
febootstrap: internal insmod sr_mod.ko
febootstrap: internal insmod ata_piix.ko
[    1.063751] scsi0 : ata_piix
[    1.065657] scsi1 : ata_piix
[    1.067117] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    1.070439] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
febootstrap: internal insmod scsi_transport_spi.ko
febootstrap: internal insmod sym53c8xx.ko
febootstrap: internal insmod sd_mod.ko
febootstrap: internal insmod virtio_ring.ko
febootstrap: internal insmod virtio.ko
febootstrap: internal insmod virtio-rng.ko
febootstrap: internal insmod virtio_console.ko
febootstrap: internal insmod virtio_blk.ko
febootstrap: internal insmod virtio_net.ko
febootstrap: internal insmod virtio_pci.ko
[    1.329710] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.339993] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[    1.357249] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.377455]  vda: unknown partition table
[    1.383751] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.403950]  vdb: unknown partition table
[    1.407129] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.425476]  vdc: unknown partition table
febootstrap: internal insmod virtio_balloon.ko
febootstrap: internal insmod jbd2.ko
febootstrap: internal insmod ext4.ko
febootstrap: internal insmod ext2.ko
febootstrap: picked /sys/block/vdc/dev as root device
febootstrap: creating /dev/root as block special 253:32
febootstrap: mounting new root on /root
febootstrap: chroot
/proc/uptime: No such file or directory
Starting /init script ...
rm: cannot remove `/proc': Is a directory
mkdir: cannot create directory `/proc': File exists
rm: cannot remove `/sys': Is a directory
mkdir: cannot create directory `/sys': File exists
Starting udev: udevd[92]: specified group 'dialout' unknown

udevd[92]: specified group 'floppy' unknown

udevd[92]: specified user 'vcsa' unknown

udevd[92]: specified group 'cdrom' unknown

udevd[92]: specified group 'tape' unknown

[    2.098726] udev: starting version 147
/sbin/start_udev: line 291: /etc/sysconfig/network: No such file or directory
[    2.878139] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
[  OK  ]
SIOCSIFADDR: No such device
eth0: unknown interface: No such device
SIOCADDRT: No such process
[    3.545863] device-mapper: uevent: version 1.0.3
[    3.551051] device-mapper: ioctl: 4.22.6-ioctl (2011-10-19) initialised: dm-devel@redhat.com
  Reading all physical volumes.  This may take a while...
  No volume groups found
  No volume groups found
/dev:
total 0
lrwxrwxrwx 1 root root       13 Dec 20 15:26 MAKEDEV -> /sbin/MAKEDEV
drwxr-xr-x 2 root root      580 Dec 20 14:26 block
drwxr-xr-x 2 root root     2140 Dec 20 15:26 char
crw------- 1 root root   5,   1 Dec 20 14:26 console
lrwxrwxrwx 1 root root       11 Dec 20 15:26 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Dec 20 15:26 cpu
crw-rw---- 1 root root  10,  61 Dec 20 14:26 cpu_dma_latency
crw-rw---- 1 root root  10,  62 Dec 20 14:26 crash
drwxr-xr-x 4 root root       80 Dec 20 14:26 disk
lrwxrwxrwx 1 root root       13 Dec 20 15:26 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Dec 20 14:26 full
crw-rw-rw- 1 root root  10, 229 Dec 20 15:26 fuse
drwxr-xr-x 2 root root       40 Dec 20 15:26 hugepages
drwxr-xr-x 3 root root      180 Dec 20 14:26 input
crw-rw---- 1 root root   1,  11 Dec 20 14:26 kmsg
brw-rw---- 1 root disk   7,   0 Dec 20 14:26 loop0
brw-rw---- 1 root disk   7,   1 Dec 20 14:26 loop1
brw-rw---- 1 root disk   7,   2 Dec 20 14:26 loop2
brw-rw---- 1 root disk   7,   3 Dec 20 14:26 loop3
brw-rw---- 1 root disk   7,   4 Dec 20 14:26 loop4
brw-rw---- 1 root disk   7,   5 Dec 20 14:26 loop5
brw-rw---- 1 root disk   7,   6 Dec 20 14:26 loop6
brw-rw---- 1 root disk   7,   7 Dec 20 14:26 loop7
crw-rw---- 1 root lp     6,   0 Dec 20 15:26 lp0
crw-rw---- 1 root lp     6,   1 Dec 20 15:26 lp1
crw-rw---- 1 root lp     6,   2 Dec 20 15:26 lp2
crw-rw---- 1 root lp     6,   3 Dec 20 15:26 lp3
drwxr-xr-x 2 root root       60 Dec 20 15:26 mapper
crw-rw---- 1 root root  10, 227 Dec 20 14:26 mcelog
crw-r----- 1 root kmem   1,   1 Dec 20 14:26 mem
drwxr-xr-x 2 root root       60 Dec 20 15:26 net
crw-rw---- 1 root root  10,  60 Dec 20 14:26 network_latency
crw-rw---- 1 root root  10,  59 Dec 20 14:26 network_throughput
crw-rw-rw- 1 root root   1,   3 Dec 20 14:26 null
crw-r----- 1 root kmem  10, 144 Dec 20 14:26 nvram
crw-rw---- 1 root root   1,  12 Dec 20 14:26 oldmem
crw-r----- 1 root kmem   1,   4 Dec 20 14:26 port
crw------- 1 root root 108,   0 Dec 20 15:26 ppp
crw-rw-rw- 1 root tty    5,   2 Dec 20 14:26 ptmx
drwxr-xr-x 2 root root       40 Dec 20 15:26 pts
brw-rw---- 1 root disk   1,   0 Dec 20 14:26 ram0
brw-rw---- 1 root disk   1,   1 Dec 20 14:26 ram1
brw-rw---- 1 root disk   1,  10 Dec 20 14:26 ram10
brw-rw---- 1 root disk   1,  11 Dec 20 14:26 ram11
brw-rw---- 1 root disk   1,  12 Dec 20 14:26 ram12
brw-rw---- 1 root disk   1,  13 Dec 20 14:26 ram13
brw-rw---- 1 root disk   1,  14 Dec 20 14:26 ram14
brw-rw---- 1 root disk   1,  15 Dec 20 14:26 ram15
brw-rw---- 1 root disk   1,   2 Dec 20 14:26 ram2
brw-rw---- 1 root disk   1,   3 Dec 20 14:26 ram3
brw-rw---- 1 root disk   1,   4 Dec 20 14:26 ram4
brw-rw---- 1 root disk   1,   5 Dec 20 14:26 ram5
brw-rw---- 1 root disk   1,   6 Dec 20 14:26 ram6
brw-rw---- 1 root disk   1,   7 Dec 20 14:26 ram7
brw-rw---- 1 root disk   1,   8 Dec 20 14:26 ram8
brw-rw---- 1 root disk   1,   9 Dec 20 14:26 ram9
crw-rw-rw- 1 root root   1,   8 Dec 20 14:26 random
drwxr-xr-x 2 root root       60 Dec 20 15:26 raw
lrwxrwxrwx 1 root root        4 Dec 20 15:26 rtc -> rtc0
crw-rw---- 1 root root 254,   0 Dec 20 15:26 rtc0
drwxr-xr-x 2 root root       40 Dec 20 15:26 shm
crw-rw---- 1 root root  10, 231 Dec 20 14:26 snapshot
lrwxrwxrwx 1 root root       15 Dec 20 15:26 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Dec 20 15:26 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Dec 20 15:26 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root tty    5,   0 Dec 20 14:26 tty
crw--w---- 1 root tty    4,   0 Dec 20 14:26 tty0
crw--w---- 1 root tty    4,   1 Dec 20 14:26 tty1
crw--w---- 1 root tty    4,  10 Dec 20 14:26 tty10
crw--w---- 1 root tty    4,  11 Dec 20 14:26 tty11
crw--w---- 1 root tty    4,  12 Dec 20 14:26 tty12
crw--w---- 1 root tty    4,  13 Dec 20 14:26 tty13
crw--w---- 1 root tty    4,  14 Dec 20 14:26 tty14
crw--w---- 1 root tty    4,  15 Dec 20 14:26 tty15
crw--w---- 1 root tty    4,  16 Dec 20 14:26 tty16
crw--w---- 1 root tty    4,  17 Dec 20 14:26 tty17
crw--w---- 1 root tty    4,  18 Dec 20 14:26 tty18
crw--w---- 1 root tty    4,  19 Dec 20 14:26 tty19
crw--w---- 1 root tty    4,   2 Dec 20 14:26 tty2
crw--w---- 1 root tty    4,  20 Dec 20 14:26 tty20
crw--w---- 1 root tty    4,  21 Dec 20 14:26 tty21
crw--w---- 1 root tty    4,  22 Dec 20 14:26 tty22
crw--w---- 1 root tty    4,  23 Dec 20 14:26 tty23
crw--w---- 1 root tty    4,  24 Dec 20 14:26 tty24
crw--w---- 1 root tty    4,  25 Dec 20 14:26 tty25
crw--w---- 1 root tty    4,  26 Dec 20 14:26 tty26
crw--w---- 1 root tty    4,  27 Dec 20 14:26 tty27
crw--w---- 1 root tty    4,  28 Dec 20 14:26 tty28
crw--w---- 1 root tty    4,  29 Dec 20 14:26 tty29
crw--w---- 1 root tty    4,   3 Dec 20 14:26 tty3
crw--w---- 1 root tty    4,  30 Dec 20 14:26 tty30
crw--w---- 1 root tty    4,  31 Dec 20 14:26 tty31
crw--w---- 1 root tty    4,  32 Dec 20 14:26 tty32
crw--w---- 1 root tty    4,  33 Dec 20 14:26 tty33
crw--w---- 1 root tty    4,  34 Dec 20 14:26 tty34
crw--w---- 1 root tty    4,  35 Dec 20 14:26 tty35
crw--w---- 1 root tty    4,  36 Dec 20 14:26 tty36
crw--w---- 1 root tty    4,  37 Dec 20 14:26 tty37
crw--w---- 1 root tty    4,  38 Dec 20 14:26 tty38
crw--w---- 1 root tty    4,  39 Dec 20 14:26 tty39
crw--w---- 1 root tty    4,   4 Dec 20 14:26 tty4
crw--w---- 1 root tty    4,  40 Dec 20 14:26 tty40
crw--w---- 1 root tty    4,  41 Dec 20 14:26 tty41
crw--w---- 1 root tty    4,  42 Dec 20 14:26 tty42
crw--w---- 1 root tty    4,  43 Dec 20 14:26 tty43
crw--w---- 1 root tty    4,  44 Dec 20 14:26 tty44
crw--w---- 1 root tty    4,  45 Dec 20 14:26 tty45
crw--w---- 1 root tty    4,  46 Dec 20 14:26 tty46
crw--w---- 1 root tty    4,  47 Dec 20 14:26 tty47
crw--w---- 1 root tty    4,  48 Dec 20 14:26 tty48
crw--w---- 1 root tty    4,  49 Dec 20 14:26 tty49
crw--w---- 1 root tty    4,   5 Dec 20 14:26 tty5
crw--w---- 1 root tty    4,  50 Dec 20 14:26 tty50
crw--w---- 1 root tty    4,  51 Dec 20 14:26 tty51
crw--w---- 1 root tty    4,  52 Dec 20 14:26 tty52
crw--w---- 1 root tty    4,  53 Dec 20 14:26 tty53
crw--w---- 1 root tty    4,  54 Dec 20 14:26 tty54
crw--w---- 1 root tty    4,  55 Dec 20 14:26 tty55
crw--w---- 1 root tty    4,  56 Dec 20 14:26 tty56
crw--w---- 1 root tty    4,  57 Dec 20 14:26 tty57
crw--w---- 1 root tty    4,  58 Dec 20 14:26 tty58
crw--w---- 1 root tty    4,  59 Dec 20 14:26 tty59
crw--w---- 1 root tty    4,   6 Dec 20 14:26 tty6
crw--w---- 1 root tty    4,  60 Dec 20 14:26 tty60
crw--w---- 1 root tty    4,  61 Dec 20 14:26 tty61
crw--w---- 1 root tty    4,  62 Dec 20 14:26 tty62
crw--w---- 1 root tty    4,  63 Dec 20 14:26 tty63
crw--w---- 1 root tty    4,   7 Dec 20 14:26 tty7
crw--w---- 1 root tty    4,   8 Dec 20 14:26 tty8
crw--w---- 1 root tty    4,   9 Dec 20 14:26 tty9
crw-rw---- 1 root root   4,  64 Dec 20 15:26 ttyS0
crw-rw---- 1 root root   4,  65 Dec 20 15:26 ttyS1
crw-rw---- 1 root root   4,  66 Dec 20 15:26 ttyS2
crw-rw---- 1 root root   4,  67 Dec 20 15:26 ttyS3
crw-rw-rw- 1 root root   1,   9 Dec 20 14:26 urandom
crw-rw---- 1 root root 251,   0 Dec 20 14:26 usbmon0
crw-rw---- 1 root tty    7,   0 Dec 20 14:26 vcs
crw-rw---- 1 root tty    7,   1 Dec 20 14:26 vcs1
crw-rw---- 1 root tty    7, 128 Dec 20 14:26 vcsa
crw-rw---- 1 root tty    7, 129 Dec 20 14:26 vcsa1
brw-rw---- 1 root disk 253,   0 Dec 20 14:26 vda
brw-rw---- 1 root disk 253,  16 Dec 20 14:26 vdb
brw-rw---- 1 root disk 253,  32 Dec 20 14:26 vdc
crw-rw---- 1 root root  10,  63 Dec 20 14:26 vga_arbiter
drwxr-xr-x 2 root root       60 Dec 20 15:26 virtio-ports
crw-rw---- 1 root root 249,   1 Dec 20 15:26 vport0p1
crw-rw-rw- 1 root root   1,   5 Dec 20 14:26 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:0 -> ../ram0
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:1 -> ../ram1
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:10 -> ../ram10
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:11 -> ../ram11
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:12 -> ../ram12
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:13 -> ../ram13
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:14 -> ../ram14
lrwxrwxrwx 1 root root 8 Dec 20 14:26 1:15 -> ../ram15
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:2 -> ../ram2
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:3 -> ../ram3
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:4 -> ../ram4
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:5 -> ../ram5
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:6 -> ../ram6
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:7 -> ../ram7
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:8 -> ../ram8
lrwxrwxrwx 1 root root 7 Dec 20 14:26 1:9 -> ../ram9
lrwxrwxrwx 1 root root 6 Dec 20 14:26 253:0 -> ../vda
lrwxrwxrwx 1 root root 6 Dec 20 14:26 253:16 -> ../vdb
lrwxrwxrwx 1 root root 6 Dec 20 14:26 253:32 -> ../vdc
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:0 -> ../loop0
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:1 -> ../loop1
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:2 -> ../loop2
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:3 -> ../loop3
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:4 -> ../loop4
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:5 -> ../loop5
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:6 -> ../loop6
lrwxrwxrwx 1 root root 8 Dec 20 14:26 7:7 -> ../loop7

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Dec 20 14:26 10:144 -> ../nvram
lrwxrwxrwx 1 root root  9 Dec 20 14:26 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Dec 20 14:26 10:231 -> ../snapshot
lrwxrwxrwx 1 root root 17 Dec 20 15:26 10:58 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Dec 20 14:26 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Dec 20 14:26 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Dec 20 14:26 10:61 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root  8 Dec 20 14:26 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Dec 20 14:26 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 15 Dec 20 14:26 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 15 Dec 20 14:26 13:33 -> ../input/mouse1
lrwxrwxrwx 1 root root 13 Dec 20 14:26 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Dec 20 14:26 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Dec 20 14:26 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Dec 20 14:26 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Dec 20 14:26 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root  6 Dec 20 14:26 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Dec 20 14:26 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Dec 20 14:26 1:12 -> ../oldmem
lrwxrwxrwx 1 root root  7 Dec 20 14:26 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Dec 20 14:26 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Dec 20 14:26 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Dec 20 14:26 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Dec 20 14:26 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Dec 20 14:26 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Dec 20 14:26 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Dec 20 14:26 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root 11 Dec 20 15:26 249:1 -> ../vport0p1
lrwxrwxrwx 1 root root 10 Dec 20 14:26 251:0 -> ../usbmon0
lrwxrwxrwx 1 root root  7 Dec 20 15:26 254:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Dec 20 14:26 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Dec 20 15:26 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  8 Dec 20 15:26 4:65 -> ../ttyS1
lrwxrwxrwx 1 root root  8 Dec 20 15:26 4:66 -> ../ttyS2
lrwxrwxrwx 1 root root  8 Dec 20 15:26 4:67 -> ../ttyS3
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Dec 20 14:26 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Dec 20 14:26 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Dec 20 14:26 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Dec 20 14:26 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Dec 20 14:26 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Dec 20 14:26 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Dec 20 14:26 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Dec 20 14:26 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root 80 Dec 20 15:26 0

/dev/cpu/0:
total 0
cr--r--r-- 1 root root 203, 0 Dec 20 14:26 cpuid
crw-rw---- 1 root root 202, 0 Dec 20 14:26 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 100 Dec 20 14:26 by-path
drwxr-xr-x 2 root root  60 Dec 20 14:26 by-uuid

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root 9 Dec 20 14:26 pci-0000:00:03.0-virtio-pci-virtio1 -> ../../vda
lrwxrwxrwx 1 root root 9 Dec 20 14:26 pci-0000:00:04.0-virtio-pci-virtio2 -> ../../vdb
lrwxrwxrwx 1 root root 9 Dec 20 14:26 pci-0000:00:05.0-virtio-pci-virtio3 -> ../../vdc

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 9 Dec 20 14:26 5e239bd7-7a86-46a6-bca3-047a3f020756 -> ../../vdc

/dev/hugepages:
total 0

/dev/input:
total 0
drwxr-xr-x 2 root root    100 Dec 20 14:26 by-path
crw-r----- 1 root root 13, 64 Dec 20 14:26 event0
crw-r----- 1 root root 13, 65 Dec 20 14:26 event1
crw-r----- 1 root root 13, 66 Dec 20 14:26 event2
crw-r----- 1 root root 13, 63 Dec 20 14:26 mice
crw-r----- 1 root root 13, 32 Dec 20 14:26 mouse0
crw-r----- 1 root root 13, 33 Dec 20 14:26 mouse1

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Dec 20 14:26 platform-i8042-serio-0-event-kbd -> ../event1
lrwxrwxrwx 1 root root 9 Dec 20 14:26 platform-i8042-serio-1-event-mouse -> ../event2
lrwxrwxrwx 1 root root 9 Dec 20 14:26 platform-i8042-serio-1-mouse -> ../mouse1

/dev/mapper:
total 0
crw-rw---- 1 root root 10, 58 Dec 20 15:26 control

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200 Dec 20 15:26 tun

/dev/pts:
total 0

/dev/raw:
total 0
crw-rw---- 1 root disk 162, 0 Dec 20 14:26 rawctl

/dev/shm:
total 0

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Dec 20 15:26 org.libguestfs.channel.0 -> ../vport0p1
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime,errors=continue 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
none /dev devtmpfs rw,relatime,size=242028k,nr_inodes=60507,mode=755 0 0
  No volume groups found
  No volume groups found
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
Module                  Size  Used by
dm_mod                 81500  0 
i2c_piix4              12608  0 
i2c_core               31276  1 i2c_piix4
ext2                   67955  1 
ext4                  364410  0 
jbd2                   88738  1 ext4
virtio_balloon          4347  0 
virtio_pci              6687  0 
virtio_net             15839  0 
virtio_blk              6671  1 
virtio_console         16885  0 
virtio_rng              2406  0 
virtio                  4890  6 virtio_balloon,virtio_pci,virtio_net,virtio_blk,virtio_console,virtio_rng
virtio_ring             7729  6 virtio_balloon,virtio_pci,virtio_net,virtio_blk,virtio_console,virtio_rng
sd_mod                 39488  0 
sym53c8xx              77039  0 
scsi_transport_spi     26151  1 sym53c8xx
ata_piix               22846  0 
sr_mod                 16228  0 
cdrom                  39771  1 sr_mod
mbcache                 8144  2 ext2,ext4
crc7                    1428  0 
crc_ccitt               1677  0 
crc_t10dif              1541  1 sd_mod
crc_itu_t               1717  0 
libcrc32c               1246  0 
Tue Dec 20 15:26:05 CET 2011
uptime: 4.39 0.68
verbose daemon enabled
linux commmand line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 

libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: [07412ms] appliance is up
 100% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓⟧ --:--
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ff | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x38
/dev/sda: No such file or directory
lvm vgchange -an
  No volume groups found
lvm vgscan
  No volume groups found
lvm vgchange -ay
  No volume groups found
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ff | 00 00 00 01 | 00 12 34 00 | ...
libguestfs: send_to_daemon: 76 bytes: 00 00 00 48 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 00 | ...
guestfsd: main_loop: proc 255 (lvm_set_filter) took 0.09 seconds
guestfsd: main_loop: new request, len 0x48
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 01 | 00 12 34 01 | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 00 | ...
guestfsd: main_loop: proc 216 (available) took 0.00 seconds
guestfsd: main_loop: new request, len 0x38
guestfsd: main_loop: proc 216 (available) took 0.00 seconds
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 01 | 00 12 34 02 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3b | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x34
/dev/sdb: No such file or directory
blockdev --getss /dev/vdb
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3b | 00 00 00 01 | 00 12 34 03 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 00 | ...
guestfsd: main_loop: proc 59 (blockdev_getss) took 0.01 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sda: No such file or directory
blockdev --getsize64 /dev/vda
libguestfs: recv_from_daemon: 48 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 01 | 00 12 34 04 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 00 | ...
guestfsd: main_loop: proc 63 (blockdev_getsize64) took 0.01 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sdb: No such file or directory
blockdev --getsize64 /dev/vdb
libguestfs: recv_from_daemon: 48 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 01 | 00 12 34 05 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d6 | 00 00 00 00 | ...
guestfsd: main_loop: proc 63 (blockdev_getsize64) took 0.00 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sda: No such file or directory
parted -s -m /dev/null
parted -m -- /dev/vda unit b print
Error: /dev/vda: unrecognised disk label                                  

guestfsd: main_loop: proc 214 (part_get_parttype) took 0.12 secondslibguestfs: recv_from_daemon: 192 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d6 | 00 00 00 01 | 00 12 34 06 | ...
Error: /dev/vda: unrecognised disk label                                  v/vda: 
")
libguestfs: closing guestfs handle 0x1aba360 (state 2)
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 1a | 00 00 00 00 | ...

guestfsd: main_loop: new request, len 0x28
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 1a | 00 00 00 01 | 00 12 34 07 | ...
libguestfs: sending SIGTERM to process 18907
[root@oc4254317046 images]# exit

Script done on Tue 20 Dec 2011 03:26:09 PM CET
Comment 2 Grant Williamson 2011-12-20 09:53:40 EST
export LIBGUESTFS_DEBUG=1
virt-resize --expand /dev/sda1 /var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2 TEST.raw
Examining /var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2 ...
libguestfs: new guestfs handle 0x28c1360
libguestfs: [00012ms] febootstrap-supermin-helper --verbose -f checksum '/usr/lib64/guestfs/supermin.d' x86_64
supermin helper [00000ms] whitelist = (not specified), host_cpu = x86_64, kernel = (null), initrd = (null), appliance = (null)
supermin helper [00000ms] inputs[0] = /usr/lib64/guestfs/supermin.d
checking modpath /lib/modules/2.6.32-220.el6.x86_64 is a directory
picked vmlinuz-2.6.32-220.el6.x86_64 because modpath /lib/modules/2.6.32-220.el6.x86_64 exists
supermin helper [00000ms] finished creating kernel
supermin helper [00000ms] visiting /usr/lib64/guestfs/supermin.d
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/base.img
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/daemon.img
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/hostfiles
supermin helper [00491ms] visiting /usr/lib64/guestfs/supermin.d/init.img
supermin helper [00491ms] visiting /usr/lib64/guestfs/supermin.d/ntfs.hostfiles
supermin helper [00491ms] visiting /usr/lib64/guestfs/supermin.d/ntfs.img
supermin helper [00491ms] adding kernel modules
supermin helper [00661ms] finished creating appliance
libguestfs: [00706ms] begin testing qemu features
libguestfs: [01015ms] finished testing qemu features
libguestfs: accept_from_daemon: 0x28c1360 g->state = 1
[01019ms] /usr/libexec/qemu-kvm \
    -drive file=/var/lib/libvirt/clone/Virtual_Client_for_Linux_KVM_Windows_XP.qcow2,snapshot=on,if=virtio \
    -drive file=TEST.raw,cache=off,if=virtio \
    -nodefconfig \
    -enable-kvm \
    -nodefaults \
    -nographic \
    -m 500 \
    -no-reboot \
    -device virtio-serial \
    -serial stdio \
    -chardev socket,path=/tmp/libguestfsBXvuIN/guestfsd.sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -kernel /var/tmp/.guestfs-0/kernel.19337 \
    -initrd /var/tmp/.guestfs-0/initrd.19337 \
    -append 'panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm ' \
    -drive file=/var/tmp/.guestfs-0/root.19337,snapshot=on,if=virtio,cache=unsafe\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 07/26/11
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@hs20-bc2-3.build.redhat.com) Tue Jul 26 15:05:08 UTC 2011
Term: 80x24
4 0
SeaBIOS (version 0.6.1.2-20111101_081028-x86-007.build.bos.redhat.com)

Probing EDD (edd=off to disable)... ok
\x1b[2J\x1b[2JInitializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.32-220.el6.x86_64 (mockbuild@x86-004.build.bos.redhat.com) (gcc version 4.4.5 20110214 (Red Hat 4.4.5-6) (GCC) ) #1 SMP Wed Nov 9 08:03:13 EST 2011
Command line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
Disabled fast string operations
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 0000000000099800 (usable)
 BIOS-e820: 0000000000099800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001f3fd000 (usable)
 BIOS-e820: 000000001f3fd000 - 000000001f400000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
DMI 2.4 present.
SMBIOS version 2.4 @ 0xFDA50
last_pfn = 0x1f3fd max_arch_pfn = 0x400000000
PAT not supported by CPU.
init_memory_mapping: 0000000000000000-000000001f3fd000
RAMDISK: 1f1ac000 - 1f3ef000
No NUMA configuration found
Faking a node at 0000000000000000-000000001f3fd000
Bootmem setup node 0 0000000000000000-000000001f3fd000
  NODE_DATA [0000000000009000 - 000000000003cfff]
  bootmap [000000000003d000 -  0000000000040e7f] pages 4
(7 early reservations) ==> bootmem [0000000000 - 001f3fd000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0001000000 - 000200c7e4]    TEXT DATA BSS ==> [0001000000 - 000200c7e4]
  #3 [001f1ac000 - 001f3ef000]          RAMDISK ==> [001f1ac000 - 001f3ef000]
  #4 [0000099800 - 0000100000]    BIOS reserved ==> [0000099800 - 0000100000]
  #5 [000200d000 - 000200d059]              BRK ==> [000200d000 - 000200d059]
  #6 [0000008000 - 0000009000]          PGTABLE ==> [0000008000 - 0000009000]
found SMP MP-table at [ffff8800000fda70] fda70
kvm-clock: Using msrs 4b564d01 and 4b564d00
kvm-clock: cpu 0, msr 0:1c1df41, boot clock
Zone PFN ranges:
  DMA      0x00000001 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00100000
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0: 0x00000001 -> 0x00000099
    0: 0x00000100 -> 0x0001f3fd
SFI: Simple Firmware Interface v0.7 http://simplefirmware.org
Intel MultiProcessor Specification v1.4
MPTABLE: OEM ID: BOCHSCPU
MPTABLE: Product ID: 0.1         
MPTABLE: APIC at: 0xFEE00000
Processor #0 (Bootup-CPU)
I/O APIC #1 Version 17 at 0xFEC00000.
Processors: 1
SMP: Allowing 1 CPUs, 0 hotplug CPUs
PM: Registered nosave memory: 0000000000099000 - 000000000009a000
PM: Registered nosave memory: 000000000009a000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
Allocating PCI resources starting at 1f400000 (gap: 1f400000:e0bbc000)
Booting paravirtualized kernel on KVM
NR_CPUS:4096 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
PERCPU: Embedded 30 pages/cpu @ffff880002200000 s92696 r8192 d21992 u2097152
pcpu-alloc: s92696 r8192 d21992 u2097152 alloc=1*2097152
pcpu-alloc: [0] 0 
kvm-clock: cpu 0, msr 0:2215f41, primary cpu clock
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 126037
Policy zone: DMA32
Kernel command line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Memory: 484020k/511988k available (5084k kernel code, 416k absent, 27552k reserved, 7229k data, 1244k init)
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:33024 nr_irqs:256
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Detected 1995.203 MHz processor.
[    0.002999] Calibrating delay loop (skipped) preset value.. 3990.40 BogoMIPS (lpj=1995203)
[    0.004022] pid_max: default: 32768 minimum: 301
[    0.007077] Security Framework initialized
[    0.008027] SELinux:  Disabled at boot.
[    0.010953] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.013770] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.015713] Mount-cache hash table entries: 256
[    0.019547] Initializing cgroup subsys ns
[    0.020012] Initializing cgroup subsys cpuacct
[    0.021015] Initializing cgroup subsys memory
[    0.024052] Initializing cgroup subsys devices
[    0.025012] Initializing cgroup subsys freezer
[    0.027012] Initializing cgroup subsys net_cls
[    0.028017] Initializing cgroup subsys blkio
[    0.029050] Initializing cgroup subsys perf_event
[    0.031357] Disabled fast string operations
[    0.034457] mce: CPU supports 10 MCE banks
[    0.036139] alternatives: switching to unfair spinlock
[    0.047740] SMP alternatives: switching to UP code
[    0.271703] Freeing SMP alternatives: 33k freed
[    0.273098] ftrace: converting mcount calls to 0f 1f 44 00 00
[    0.275031] ftrace: allocating 20776 entries in 82 pages
[    0.281045] Setting APIC routing to flat
[    0.286187] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.287004] CPU0: Intel QEMU Virtual CPU version (cpu64-rhel6) stepping 03
[    0.393155] Performance Events: Broken PMU hardware detected, using software events only.
[    0.396360] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.398051] Brought up 1 CPUs
[    0.400006] Total of 1 processors activated (3990.40 BogoMIPS).
[    0.403620] devtmpfs: initialized
[    0.413050] regulator: core version 0.5
[    0.414208] NET: Registered protocol family 16
[    0.418507] PCI: Using configuration type 1 for base access
[    0.422410] bio: create slab <bio-0> at 0
[    0.424348] ACPI: Interpreter disabled.
[    0.426027] vgaarb: loaded
[    0.428217] SCSI subsystem initialized
[    0.429294] usbcore: registered new interface driver usbfs
[    0.432039] usbcore: registered new interface driver hub
[    0.434027] usbcore: registered new device driver usb
[    0.436106] PCI: Probing PCI hardware
[    0.441048] pci 0000:00:01.3: quirk: region b000-b03f claimed by PIIX4 ACPI
[    0.443028] pci 0000:00:01.3: quirk: region b100-b10f claimed by PIIX4 SMB
[    0.451490] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.454026] NetLabel: Initializing
[    0.455007] NetLabel:  domain hash size = 128
[    0.457005] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.459029] NetLabel:  unlabeled traffic allowed by default
[    0.461099] Switching to clocksource kvm-clock
[    0.480083] pnp: PnP ACPI: disabled
[    0.482104] NET: Registered protocol family 2
[    0.484389] IP route cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.488266] TCP established hash table entries: 16384 (order: 6, 262144 bytes)
[    0.491458] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.494579] TCP: Hash tables configured (established 16384 bind 16384)
[    0.496919] TCP reno registered
[    0.498275] NET: Registered protocol family 1
[    0.499901] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.502069] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.504167] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.506543] Trying to unpack rootfs image as initramfs...
[    0.517066] Freeing initrd memory: 2316k freed
[    0.519756] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.523384] audit: initializing netlink socket (disabled)
[    0.525586] type=2000 audit(1324391302.525:1): initialized
[    0.548700] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.552363] VFS: Disk quotas dquot_6.5.2
[    0.553893] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.556581] msgmni has been set to 949
[    0.558384] alg: No test for stdrng (krng)
[    0.559923] ksign: Installing public key data
[    0.561528] Loading keyring
[    0.562601] - Added public key 4BB1E63D18B42658
[    0.564258] - User ID: Red Hat, Inc. (Kernel Module GPG key)
[    0.566358] - Added public key D4A26C9CCD09BEDA
[    0.568022] - User ID: Red Hat Enterprise Linux Driver Update Program <secalert@redhat.com>
[    0.571154] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.574845] io scheduler noop registered
[    0.576339] io scheduler anticipatory registered
[    0.578045] io scheduler deadline registered
[    0.579721] io scheduler cfq registered (default)
[    0.581717] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.583804] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.586365] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.591263] Non-volatile memory driver v1.3
[    0.592815] Linux agpgart interface v0.103
[    0.594406] crash memory driver: version 1.1
[    0.596053] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
\xffffffff[    0.848543] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.855176] brd: module loaded
[    0.858044] loop: module loaded
[    0.859332] input: Macintosh mouse button emulation as /devices/virtual/input/input0
[    0.862718] Fixed MDIO Bus: probed
[    0.864527] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.867274] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.869581] uhci_hcd: USB Universal Host Controller Interface driver
[    0.872196] PNP: No PS/2 controller found. Probing ports directly.
[    0.876137] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.877969] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.880082] mice: PS/2 mouse device common for all mice
[    0.882917] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    0.886852] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.892213] rtc0: alarms up to one day, 114 bytes nvram
[    0.894141] cpuidle: using governor ladder
[    0.900070] cpuidle: using governor menu
[    0.903634] usbcore: registered new interface driver hiddev
[    0.905740] usbcore: registered new interface driver usbhid
[    0.907770] usbhid: v2.6:USB HID core driver
[    0.909581] TCP cubic registered
[    0.910784] Initializing XFRM netlink socket
[    0.912353] NET: Registered protocol family 17
[    0.914227] registered taskstats version 1
[    0.916993] rtc_cmos rtc_cmos: setting system clock to 2011-12-20 14:28:21 UTC (1324391301)
[    0.920560] Initalizing network drop monitor service
[    0.922616] Freeing unused kernel memory: 1244k freed
[    0.925427] Write protecting the kernel read-only data: 10240k
[    0.928328] Freeing unused kernel memory: 1040k freed
[    0.932475] Freeing unused kernel memory: 1760k freed
febootstrap: mounting /proc
febootstrap: uptime: 0.94 0.51
febootstrap: ext2 mini initrd starting up: 3.12 zlib
febootstrap: mounting /sys
febootstrap: internal insmod libcrc32c.ko
febootstrap: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
febootstrap: internal insmod crc-itu-t.ko
febootstrap: internal insmod crc-t10dif.ko
febootstrap: internal insmod crc-ccitt.ko
febootstrap: internal insmod crc7.ko
febootstrap: internal insmod mbcache.ko
febootstrap: internal insmod cdrom.ko
febootstrap: internal insmod sr_mod.ko
febootstrap: internal insmod ata_piix.ko
[    1.020961] scsi0 : ata_piix
[    1.022516] scsi1 : ata_piix
[    1.023695] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    1.026158] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
febootstrap: internal insmod scsi_transport_spi.ko
febootstrap: internal insmod sym53c8xx.ko
febootstrap: internal insmod sd_mod.ko
febootstrap: internal insmod virtio_ring.ko
febootstrap: internal insmod virtio.ko
febootstrap: internal insmod virtio-rng.ko
febootstrap: internal insmod virtio_console.ko
febootstrap: internal insmod virtio_blk.ko
febootstrap: internal insmod virtio_net.ko
febootstrap: internal insmod virtio_pci.ko
[    1.285100] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.312591] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.339968]  vda:
[    1.342908] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[    1.346701]  vda1
[    1.348238] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.360952]  vdb: vdb1
[    1.367997] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.378952]  vdc: unknown partition table
febootstrap: internal insmod virtio_balloon.ko
febootstrap: internal insmod jbd2.ko
febootstrap: internal insmod ext4.ko
febootstrap: internal insmod ext2.ko
febootstrap: picked /sys/block/vdc/dev as root device
febootstrap: creating /dev/root as block special 253:32
febootstrap: mounting new root on /root
febootstrap: chroot
/proc/uptime: No such file or directory
Starting /init script ...
◓ 75% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓═════════════════════════════════════════⟧ --:--
rm: cannot remove `/proc': Is a directory
mkdir: cannot create directory `/proc': File exists
rm: cannot remove `/sys': Is a directory
mkdir: cannot create directory `/sys': File exists
Starting udev: udevd[92]: specified group 'dialout' unknown

udevd[92]: specified group 'floppy' unknown

udevd[92]: specified user 'vcsa' unknown

udevd[92]: specified group 'cdrom' unknown

udevd[92]: specified group 'tape' unknown

[    2.087510] udev: starting version 147
/sbin/start_udev: line 291: /etc/sysconfig/network: No such file or directory
[    2.858650] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
[  OK  ]
SIOCSIFADDR: No such device
eth0: unknown interface: No such device
SIOCADDRT: No such process
[    3.551925] device-mapper: uevent: version 1.0.3
[    3.556981] device-mapper: ioctl: 4.22.6-ioctl (2011-10-19) initialised: dm-devel@redhat.com
  Reading all physical volumes.  This may take a while...
  No volume groups found
  No volume groups found
/dev:
total 0
lrwxrwxrwx 1 root root       13 Dec 20 15:28 MAKEDEV -> /sbin/MAKEDEV
drwxr-xr-x 2 root root      620 Dec 20 14:28 block
drwxr-xr-x 2 root root     2140 Dec 20 15:28 char
crw------- 1 root root   5,   1 Dec 20 14:28 console
lrwxrwxrwx 1 root root       11 Dec 20 15:28 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Dec 20 15:28 cpu
crw-rw---- 1 root root  10,  61 Dec 20 14:28 cpu_dma_latency
crw-rw---- 1 root root  10,  62 Dec 20 14:28 crash
drwxr-xr-x 4 root root       80 Dec 20 14:28 disk
lrwxrwxrwx 1 root root       13 Dec 20 15:28 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Dec 20 14:28 full
crw-rw-rw- 1 root root  10, 229 Dec 20 15:28 fuse
drwxr-xr-x 2 root root       40 Dec 20 15:28 hugepages
drwxr-xr-x 3 root root      180 Dec 20 14:28 input
crw-rw---- 1 root root   1,  11 Dec 20 14:28 kmsg
brw-rw---- 1 root disk   7,   0 Dec 20 14:28 loop0
brw-rw---- 1 root disk   7,   1 Dec 20 14:28 loop1
brw-rw---- 1 root disk   7,   2 Dec 20 14:28 loop2
brw-rw---- 1 root disk   7,   3 Dec 20 14:28 loop3
brw-rw---- 1 root disk   7,   4 Dec 20 14:28 loop4
brw-rw---- 1 root disk   7,   5 Dec 20 14:28 loop5
brw-rw---- 1 root disk   7,   6 Dec 20 14:28 loop6
brw-rw---- 1 root disk   7,   7 Dec 20 14:28 loop7
crw-rw---- 1 root lp     6,   0 Dec 20 15:28 lp0
crw-rw---- 1 root lp     6,   1 Dec 20 15:28 lp1
crw-rw---- 1 root lp     6,   2 Dec 20 15:28 lp2
crw-rw---- 1 root lp     6,   3 Dec 20 15:28 lp3
drwxr-xr-x 2 root root       60 Dec 20 15:28 mapper
crw-rw---- 1 root root  10, 227 Dec 20 14:28 mcelog
crw-r----- 1 root kmem   1,   1 Dec 20 14:28 mem
drwxr-xr-x 2 root root       60 Dec 20 15:28 net
crw-rw---- 1 root root  10,  60 Dec 20 14:28 network_latency
crw-rw---- 1 root root  10,  59 Dec 20 14:28 network_throughput
crw-rw-rw- 1 root root   1,   3 Dec 20 14:28 null
crw-r----- 1 root kmem  10, 144 Dec 20 14:28 nvram
crw-rw---- 1 root root   1,  12 Dec 20 14:28 oldmem
crw-r----- 1 root kmem   1,   4 Dec 20 14:28 port
crw------- 1 root root 108,   0 Dec 20 15:28 ppp
crw-rw-rw- 1 root tty    5,   2 Dec 20 14:28 ptmx
drwxr-xr-x 2 root root       40 Dec 20 15:28 pts
brw-rw---- 1 root disk   1,   0 Dec 20 14:28 ram0
brw-rw---- 1 root disk   1,   1 Dec 20 14:28 ram1
brw-rw---- 1 root disk   1,  10 Dec 20 14:28 ram10
brw-rw---- 1 root disk   1,  11 Dec 20 14:28 ram11
brw-rw---- 1 root disk   1,  12 Dec 20 14:28 ram12
brw-rw---- 1 root disk   1,  13 Dec 20 14:28 ram13
brw-rw---- 1 root disk   1,  14 Dec 20 14:28 ram14
brw-rw---- 1 root disk   1,  15 Dec 20 14:28 ram15
brw-rw---- 1 root disk   1,   2 Dec 20 14:28 ram2
brw-rw---- 1 root disk   1,   3 Dec 20 14:28 ram3
brw-rw---- 1 root disk   1,   4 Dec 20 14:28 ram4
brw-rw---- 1 root disk   1,   5 Dec 20 14:28 ram5
brw-rw---- 1 root disk   1,   6 Dec 20 14:28 ram6
brw-rw---- 1 root disk   1,   7 Dec 20 14:28 ram7
brw-rw---- 1 root disk   1,   8 Dec 20 14:28 ram8
brw-rw---- 1 root disk   1,   9 Dec 20 14:28 ram9
crw-rw-rw- 1 root root   1,   8 Dec 20 14:28 random
drwxr-xr-x 2 root root       60 Dec 20 15:28 raw
lrwxrwxrwx 1 root root        4 Dec 20 15:28 rtc -> rtc0
crw-rw---- 1 root root 254,   0 Dec 20 15:28 rtc0
drwxr-xr-x 2 root root       40 Dec 20 15:28 shm
crw-rw---- 1 root root  10, 231 Dec 20 14:28 snapshot
lrwxrwxrwx 1 root root       15 Dec 20 15:28 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Dec 20 15:28 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Dec 20 15:28 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root tty    5,   0 Dec 20 14:28 tty
crw--w---- 1 root tty    4,   0 Dec 20 14:28 tty0
crw--w---- 1 root tty    4,   1 Dec 20 14:28 tty1
crw--w---- 1 root tty    4,  10 Dec 20 14:28 tty10
crw--w---- 1 root tty    4,  11 Dec 20 14:28 tty11
crw--w---- 1 root tty    4,  12 Dec 20 14:28 tty12
crw--w---- 1 root tty    4,  13 Dec 20 14:28 tty13
crw--w---- 1 root tty    4,  14 Dec 20 14:28 tty14
crw--w---- 1 root tty    4,  15 Dec 20 14:28 tty15
crw--w---- 1 root tty    4,  16 Dec 20 14:28 tty16
crw--w---- 1 root tty    4,  17 Dec 20 14:28 tty17
crw--w---- 1 root tty    4,  18 Dec 20 14:28 tty18
crw--w---- 1 root tty    4,  19 Dec 20 14:28 tty19
crw--w---- 1 root tty    4,   2 Dec 20 14:28 tty2
crw--w---- 1 root tty    4,  20 Dec 20 14:28 tty20
crw--w---- 1 root tty    4,  21 Dec 20 14:28 tty21
crw--w---- 1 root tty    4,  22 Dec 20 14:28 tty22
crw--w---- 1 root tty    4,  23 Dec 20 14:28 tty23
crw--w---- 1 root tty    4,  24 Dec 20 14:28 tty24
crw--w---- 1 root tty    4,  25 Dec 20 14:28 tty25
crw--w---- 1 root tty    4,  26 Dec 20 14:28 tty26
crw--w---- 1 root tty    4,  27 Dec 20 14:28 tty27
crw--w---- 1 root tty    4,  28 Dec 20 14:28 tty28
crw--w---- 1 root tty    4,  29 Dec 20 14:28 tty29
crw--w---- 1 root tty    4,   3 Dec 20 14:28 tty3
crw--w---- 1 root tty    4,  30 Dec 20 14:28 tty30
crw--w---- 1 root tty    4,  31 Dec 20 14:28 tty31
crw--w---- 1 root tty    4,  32 Dec 20 14:28 tty32
crw--w---- 1 root tty    4,  33 Dec 20 14:28 tty33
crw--w---- 1 root tty    4,  34 Dec 20 14:28 tty34
crw--w---- 1 root tty    4,  35 Dec 20 14:28 tty35
crw--w---- 1 root tty    4,  36 Dec 20 14:28 tty36
crw--w---- 1 root tty    4,  37 Dec 20 14:28 tty37
crw--w---- 1 root tty    4,  38 Dec 20 14:28 tty38
crw--w---- 1 root tty    4,  39 Dec 20 14:28 tty39
crw--w---- 1 root tty    4,   4 Dec 20 14:28 tty4
crw--w---- 1 root tty    4,  40 Dec 20 14:28 tty40
crw--w---- 1 root tty    4,  41 Dec 20 14:28 tty41
crw--w---- 1 root tty    4,  42 Dec 20 14:28 tty42
crw--w---- 1 root tty    4,  43 Dec 20 14:28 tty43
crw--w---- 1 root tty    4,  44 Dec 20 14:28 tty44
crw--w---- 1 root tty    4,  45 Dec 20 14:28 tty45
crw--w---- 1 root tty    4,  46 Dec 20 14:28 tty46
crw--w---- 1 root tty    4,  47 Dec 20 14:28 tty47
crw--w---- 1 root tty    4,  48 Dec 20 14:28 tty48
crw--w---- 1 root tty    4,  49 Dec 20 14:28 tty49
crw--w---- 1 root tty    4,   5 Dec 20 14:28 tty5
crw--w---- 1 root tty    4,  50 Dec 20 14:28 tty50
crw--w---- 1 root tty    4,  51 Dec 20 14:28 tty51
crw--w---- 1 root tty    4,  52 Dec 20 14:28 tty52
crw--w---- 1 root tty    4,  53 Dec 20 14:28 tty53
crw--w---- 1 root tty    4,  54 Dec 20 14:28 tty54
crw--w---- 1 root tty    4,  55 Dec 20 14:28 tty55
crw--w---- 1 root tty    4,  56 Dec 20 14:28 tty56
crw--w---- 1 root tty    4,  57 Dec 20 14:28 tty57
crw--w---- 1 root tty    4,  58 Dec 20 14:28 tty58
crw--w---- 1 root tty    4,  59 Dec 20 14:28 tty59
crw--w---- 1 root tty    4,   6 Dec 20 14:28 tty6
crw--w---- 1 root tty    4,  60 Dec 20 14:28 tty60
crw--w---- 1 root tty    4,  61 Dec 20 14:28 tty61
crw--w---- 1 root tty    4,  62 Dec 20 14:28 tty62
crw--w---- 1 root tty    4,  63 Dec 20 14:28 tty63
crw--w---- 1 root tty    4,   7 Dec 20 14:28 tty7
crw--w---- 1 root tty    4,   8 Dec 20 14:28 tty8
crw--w---- 1 root tty    4,   9 Dec 20 14:28 tty9
crw-rw---- 1 root root   4,  64 Dec 20 15:28 ttyS0
crw-rw---- 1 root root   4,  65 Dec 20 15:28 ttyS1
crw-rw---- 1 root root   4,  66 Dec 20 15:28 ttyS2
crw-rw---- 1 root root   4,  67 Dec 20 15:28 ttyS3
crw-rw-rw- 1 root root   1,   9 Dec 20 14:28 urandom
crw-rw---- 1 root root 251,   0 Dec 20 14:28 usbmon0
crw-rw---- 1 root tty    7,   0 Dec 20 14:28 vcs
crw-rw---- 1 root tty    7,   1 Dec 20 14:28 vcs1
crw-rw---- 1 root tty    7, 128 Dec 20 14:28 vcsa
crw-rw---- 1 root tty    7, 129 Dec 20 14:28 vcsa1
brw-rw---- 1 root disk 253,   0 Dec 20 14:28 vda
brw-rw---- 1 root disk 253,   1 Dec 20 14:28 vda1
brw-rw---- 1 root disk 253,  16 Dec 20 14:28 vdb
brw-rw---- 1 root disk 253,  17 Dec 20 14:28 vdb1
brw-rw---- 1 root disk 253,  32 Dec 20 14:28 vdc
crw-rw---- 1 root root  10,  63 Dec 20 14:28 vga_arbiter
drwxr-xr-x 2 root root       60 Dec 20 15:28 virtio-ports
crw-rw---- 1 root root 249,   1 Dec 20 15:28 vport0p1
crw-rw-rw- 1 root root   1,   5 Dec 20 14:28 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:0 -> ../ram0
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:1 -> ../ram1
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:10 -> ../ram10
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:11 -> ../ram11
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:12 -> ../ram12
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:13 -> ../ram13
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:14 -> ../ram14
lrwxrwxrwx 1 root root 8 Dec 20 14:28 1:15 -> ../ram15
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:2 -> ../ram2
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:3 -> ../ram3
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:4 -> ../ram4
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:5 -> ../ram5
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:6 -> ../ram6
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:7 -> ../ram7
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:8 -> ../ram8
lrwxrwxrwx 1 root root 7 Dec 20 14:28 1:9 -> ../ram9
lrwxrwxrwx 1 root root 6 Dec 20 14:28 253:0 -> ../vda
lrwxrwxrwx 1 root root 7 Dec 20 14:28 253:1 -> ../vda1
lrwxrwxrwx 1 root root 6 Dec 20 14:28 253:16 -> ../vdb
lrwxrwxrwx 1 root root 7 Dec 20 14:28 253:17 -> ../vdb1
lrwxrwxrwx 1 root root 6 Dec 20 14:28 253:32 -> ../vdc
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:0 -> ../loop0
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:1 -> ../loop1
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:2 -> ../loop2
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:3 -> ../loop3
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:4 -> ../loop4
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:5 -> ../loop5
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:6 -> ../loop6
lrwxrwxrwx 1 root root 8 Dec 20 14:28 7:7 -> ../loop7

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Dec 20 14:28 10:144 -> ../nvram
lrwxrwxrwx 1 root root  9 Dec 20 14:28 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Dec 20 14:28 10:231 -> ../snapshot
lrwxrwxrwx 1 root root 17 Dec 20 15:28 10:58 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Dec 20 14:28 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Dec 20 14:28 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Dec 20 14:28 10:61 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root  8 Dec 20 14:28 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Dec 20 14:28 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 15 Dec 20 14:28 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 15 Dec 20 14:28 13:33 -> ../input/mouse1
lrwxrwxrwx 1 root root 13 Dec 20 14:28 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Dec 20 14:28 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Dec 20 14:28 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Dec 20 14:28 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Dec 20 14:28 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root  6 Dec 20 14:28 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Dec 20 14:28 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Dec 20 14:28 1:12 -> ../oldmem
lrwxrwxrwx 1 root root  7 Dec 20 14:28 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Dec 20 14:28 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Dec 20 14:28 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Dec 20 14:28 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Dec 20 14:28 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Dec 20 14:28 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Dec 20 14:28 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Dec 20 14:28 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root 11 Dec 20 15:28 249:1 -> ../vport0p1
lrwxrwxrwx 1 root root 10 Dec 20 14:28 251:0 -> ../usbmon0
lrwxrwxrwx 1 root root  7 Dec 20 15:28 254:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Dec 20 14:28 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Dec 20 15:28 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  8 Dec 20 15:28 4:65 -> ../ttyS1
lrwxrwxrwx 1 root root  8 Dec 20 15:28 4:66 -> ../ttyS2
lrwxrwxrwx 1 root root  8 Dec 20 15:28 4:67 -> ../ttyS3
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Dec 20 14:28 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Dec 20 14:28 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Dec 20 14:28 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Dec 20 14:28 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Dec 20 14:28 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Dec 20 14:28 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Dec 20 14:28 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Dec 20 14:28 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root 80 Dec 20 15:28 0

/dev/cpu/0:
total 0
cr--r--r-- 1 root root 203, 0 Dec 20 14:28 cpuid
crw-rw---- 1 root root 202, 0 Dec 20 14:28 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 140 Dec 20 14:28 by-path
drwxr-xr-x 2 root root  80 Dec 20 14:28 by-uuid

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root  9 Dec 20 14:28 pci-0000:00:03.0-virtio-pci-virtio1 -> ../../vda
lrwxrwxrwx 1 root root 10 Dec 20 14:28 pci-0000:00:03.0-virtio-pci-virtio1-part1 -> ../../vda1
lrwxrwxrwx 1 root root  9 Dec 20 14:28 pci-0000:00:04.0-virtio-pci-virtio2 -> ../../vdb
lrwxrwxrwx 1 root root 10 Dec 20 14:28 pci-0000:00:04.0-virtio-pci-virtio2-part1 -> ../../vdb1
lrwxrwxrwx 1 root root  9 Dec 20 14:28 pci-0000:00:05.0-virtio-pci-virtio3 -> ../../vdc

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root  9 Dec 20 14:28 5e239bd7-7a86-46a6-bca3-047a3f020756 -> ../../vdc
lrwxrwxrwx 1 root root 10 Dec 20 14:28 6A8C74388C7400BD -> ../../vda1

/dev/hugepages:
total 0

/dev/input:
total 0
drwxr-xr-x 2 root root    100 Dec 20 14:28 by-path
crw-r----- 1 root root 13, 64 Dec 20 14:28 event0
crw-r----- 1 root root 13, 65 Dec 20 14:28 event1
crw-r----- 1 root root 13, 66 Dec 20 14:28 event2
crw-r----- 1 root root 13, 63 Dec 20 14:28 mice
crw-r----- 1 root root 13, 32 Dec 20 14:28 mouse0
crw-r----- 1 root root 13, 33 Dec 20 14:28 mouse1

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Dec 20 14:28 platform-i8042-serio-0-event-kbd -> ../event1
lrwxrwxrwx 1 root root 9 Dec 20 14:28 platform-i8042-serio-1-event-mouse -> ../event2
lrwxrwxrwx 1 root root 9 Dec 20 14:28 platform-i8042-serio-1-mouse -> ../mouse1

/dev/mapper:
total 0
crw-rw---- 1 root root 10, 58 Dec 20 15:28 control

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200 Dec 20 15:28 tun

/dev/pts:
total 0

/dev/raw:
total 0
crw-rw---- 1 root disk 162, 0 Dec 20 14:28 rawctl

/dev/shm:
total 0

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Dec 20 15:28 org.libguestfs.channel.0 -> ../vport0p1
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime,errors=continue 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
none /dev devtmpfs rw,relatime,size=242028k,nr_inodes=60507,mode=755 0 0
  No volume groups found
  No volume groups found
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
Module                  Size  Used by
dm_mod                 81500  0 
i2c_piix4              12608  0 
i2c_core               31276  1 i2c_piix4
ext2                   67955  1 
ext4                  364410  0 
jbd2                   88738  1 ext4
virtio_balloon          4347  0 
virtio_pci              6687  0 
virtio_net             15839  0 
virtio_blk              6671  1 
virtio_console         16885  0 
virtio_rng              2406  0 
virtio                  4890  6 virtio_balloon,virtio_pci,virtio_net,virtio_blk,virtio_console,virtio_rng
virtio_ring             7729  6 virtio_balloon,virtio_pci,virtio_net,virtio_blk,virtio_console,virtio_rng
sd_mod                 39488  0 
sym53c8xx              77039  0 
scsi_transport_spi     26151  1 sym53c8xx
ata_piix               22846  0 
sr_mod                 16228  0 
cdrom                  39771  1 sr_mod
mbcache                 8144  2 ext2,ext4
crc7                    1428  0 
crc_ccitt               1677  0 
crc_t10dif              1541  1 sd_mod
crc_itu_t               1717  0 
libcrc32c               1246  0 
Tue Dec 20 15:28:24 CET 2011
uptime: 4.45 0.71
verbose daemon enabled
linux commmand line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=xterm 

libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
 100% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓⟧ 00:00
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ff | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x38
/dev/sda: No such file or directory
lvm vgchange -an
  No volume groups found
lvm vgscan
  No volume groups found
lvm vgchange -ay
  No volume groups found
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ff | 00 00 00 01 | 00 12 34 00 | ...
libguestfs: send_to_daemon: 76 bytes: 00 00 00 48 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 00 | ...
guestfsd: main_loop: proc 255 (lvm_set_filter) took 0.11 seconds
guestfsd: main_loop: new request, len 0x48
guestfsd: main_loop: proc 216 (available) took 0.00 seconds
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 01 | 00 12 34 01 | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x38
guestfsd: main_loop: proc 216 (available) took 0.00 seconds
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d8 | 00 00 00 01 | 00 12 34 02 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3b | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x34
/dev/sdb: No such file or directory
blockdev --getss /dev/vdb
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3b | 00 00 00 01 | 00 12 34 03 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 00 | ...
guestfsd: main_loop: proc 59 (blockdev_getss) took 0.01 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sda: No such file or directory
blockdev --getsize64 /dev/vda
libguestfs: recv_from_daemon: 48 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 01 | 00 12 34 04 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 00 | ...
guestfsd: main_loop: proc 63 (blockdev_getsize64) took 0.00 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sdb: No such file or directory
blockdev --getsize64 /dev/vdb
libguestfs: recv_from_daemon: 48 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 3f | 00 00 00 01 | 00 12 34 05 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d6 | 00 00 00 00 | ...
guestfsd: main_loop: proc 63 (blockdev_getsize64) took 0.00 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sda: No such file or directory
parted -s -m /dev/null
parted -m -- /dev/vda unit b print
libguestfs: recv_from_daemon: 52 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d6 | 00 00 00 01 | 00 12 34 06 | ...
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 0c | 00 00 00 00 | ...
guestfsd: main_loop: proc 214 (part_get_parttype) took 0.09 seconds
guestfsd: main_loop: new request, len 0x28
lvm pvs -o pv_name,pv_uuid,pv_fmt,pv_size,dev_size,pv_free,pv_used,pv_attr,pv_pe_count,pv_pe_alloc_count,pv_tags,pe_start,pv_mda_count,pv_mda_free --unbuffered --noheadings --nosuffix --separator , --units b
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 0c | 00 00 00 01 | 00 12 34 07 | ...
libguestfs: send_to_daemon: 56 bytes: 00 00 00 34 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d5 | 00 00 00 00 | ...
guestfsd: main_loop: proc 12 (pvs_full) took 0.05 seconds
guestfsd: main_loop: new request, len 0x34
/dev/sda: No such file or directory
parted -m -- /dev/vda unit b print
libguestfs: recv_from_daemon: 72 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d5 | 00 00 00 01 | 00 12 34 08 | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ea | 00 00 00 00 | ...
guestfsd: main_loop: proc 213 (part_list) took 0.04 seconds
guestfsd: main_loop: new request, len 0x38
/dev/sda: No such file or directory
parted -m -- /dev/vda unit b print
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 ea | 00 00 00 01 | 00 12 34 09 | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 eb | 00 00 00 00 | ...
guestfsd: main_loop: proc 234 (part_get_bootable) took 0.03 seconds
guestfsd: main_loop: new request, len 0x38
/dev/sda: No such file or directory
sfdisk --print-id /dev/vda 1
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 eb | 00 00 00 01 | 00 12 34 0a | ...
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 c6 | 00 00 00 00 | ...
guestfsd: main_loop: proc 235 (part_get_mbr_id) took 0.02 seconds
guestfsd: main_loop: new request, len 0x38
/dev/sda1: No such file or directory
blkid -c /dev/null -o value -s TYPE /dev/vda1
libguestfs: recv_from_daemon: 48 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 c6 | 00 00 00 01 | 00 12 34 0b | ...
libguestfs: send_to_daemon: 68 bytes: 00 00 00 40 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 49 | 00 00 00 00 | ...
guestfsd: main_loop: proc 198 (vfs_type) took 0.04 seconds
guestfsd: main_loop: new request, len 0x40
/dev/sda1: No such file or directory
mount -o ro /dev/vda1 /sysroot/
[    5.057796] fuse init (API version 7.13)
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 49 | 00 00 00 01 | 00 12 34 0c | ...
libguestfs: send_to_daemon: 52 bytes: 00 00 00 30 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 36 | 00 00 00 00 | ...
guestfsd: main_loop: proc 73 (mount_ro) took 0.24 seconds
guestfsd: main_loop: new request, len 0x30
libguestfs: recv_from_daemon: 128 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 36 | 00 00 00 01 | 00 12 34 0d | ...
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 0b | 00 00 00 00 | ...
guestfsd: main_loop: proc 54 (statvfs) took 0.00 seconds
guestfsd: main_loop: new request, len 0x28
lvm lvs -o vg_name,lv_name --noheadings --separator /
  No volume groups found
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 0b | 00 00 00 01 | 00 12 34 0e | ...
**********

Summary of changes:

/dev/sda1: This partition will be resized from 20.0G to 40.0G.  The 
    filesystem ntfs on /dev/sda1 will be expanded using the 
    'ntfsresize' method.

**********
Setting up initial partition table on TEST.raw ...
libguestfs: send_to_daemon: 68 bytes: 00 00 00 40 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d0 | 00 00 00 00 | ...
guestfsd: main_loop: proc 11 (lvs) took 0.03 seconds
guestfsd: main_loop: new request, len 0x40
/dev/sdb: No such file or directory
parted -s -- /dev/vdb mklabel msdos
[    5.385296]  vdb:
udevadm settle
udevsettle
udevsettle: No such file or directory
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d0 | 00 00 00 01 | 00 12 34 0f | ...
libguestfs: send_to_daemon: 68 bytes: 00 00 00 40 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 14 | 00 00 00 00 | ...
guestfsd: main_loop: proc 208 (part_init) took 0.63 seconds
guestfsd: main_loop: new request, len 0x40
/dev/sda: No such file or directory
guestfsd: main_loop: proc 276 (pread_device) took 0.00 seconds
libguestfs: recv_from_daemon: 492 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 14 | 00 00 00 01 | 00 12 34 10 | ...
libguestfs: send_to_daemon: 516 bytes: 00 00 02 00 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 13 | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x200
/dev/sdb: No such file or directory
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 13 | 00 00 00 01 | 00 12 34 11 | ...
libguestfs: send_to_daemon: 68 bytes: 00 00 00 40 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 14 | 00 00 00 00 | ...
guestfsd: main_loop: proc 275 (pwrite_device) took 0.01 seconds
guestfsd: main_loop: new request, len 0x40
/dev/sda: No such file or directory
libguestfs: recv_from_daemon: 2097196 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 14 | 00 00 00 01 | 00 12 34 12 | ...
libguestfs: send_to_daemon: 2097220 bytes: 00 20 00 40 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 13 | 00 00 00 00 | ...
guestfsd: main_loop: proc 276 (pread_device) took 0.06 seconds
guestfsd: main_loop: new request, len 0x200040
/dev/sdb: No such file or directory
libguestfs: recv_from_daemon: 44 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 13 | 00 00 00 01 | 00 12 34 13 | ...
libguestfs: send_to_daemon: 84 bytes: 00 00 00 50 | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d1 | 00 00 00 00 | ...
guestfsd: main_loop: proc 275 (pwrite_device) took 0.23 seconds
guestfsd: main_loop: new request, len 0x50
/dev/sdb: No such file or directory
parted -s -- /dev/vdb mkpart primary 128s 83881855s
[    6.339191]  vdb: vdb1
Warning: The resulting partition is not properly aligned for best performance.
udevadm settle
udevsettle
udevsettle: No such file or directory
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d1 | 00 00 00 01 | 00 12 34 14 | ...
Copying /dev/sda1 ...
libguestfs: send_to_daemon: 100 bytes: 00 00 00 60 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 26 | 00 00 00 00 | ...
guestfsd: main_loop: proc 209 (part_add) took 0.82 seconds
guestfsd: main_loop: new request, len 0x60
/dev/sda1: No such file or directory
/dev/sdb1: No such file or directory
100% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓⟧ 00:00
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 26 | 00 00 00 01 | 00 12 34 15 | ...
libguestfs: send_to_daemon: 64 bytes: 00 00 00 3c | 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d3 | 00 00 00 00 | ...
guestfsd: main_loop: proc 294 (copy_device_to_device) took 794.72 seconds
guestfsd: main_loop: new request, len 0x3c
/dev/sdb: No such file or directory
parted -s -- /dev/vdb set 1 boot on
Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.
guestfsd: error: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.
libguestfs: recv_from_daemon: 268 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 00 d3 | 00 00 00 01 | 00 12 34 16 | ...
Fatal error: exception Guestfs.Error("part_set_bootable: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.")
libguestfs: closing guestfs handle 0x28c1360 (state 2)
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 1a | 00 00 00 00 | ...
guestfsd: main_loop: proc 211 (part_set_bootable) took 0.18 seconds
guestfsd: main_loop: new request, len 0x28
umount /sysroot
libguestfs: recv_from_daemon: 40 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 1a | 00 00 00 01 | 00 12 34 17 | ...
libguestfs: sending SIGTERM to process 19349
Comment 3 Richard W.M. Jones 2011-12-20 10:22:45 EST
I can reproduce this over here.

Trace output is:

libguestfs: trace: part_add "/dev/sdb" "primary" 63 16772863
libguestfs: trace: part_add = 0
libguestfs: trace: copy_device_to_device "/dev/sda1" "/dev/sdb1" "size:6432136704"
libguestfs: trace: copy_device_to_device = 0
libguestfs: trace: part_set_bootable "/dev/sdb" 1 true
libguestfs: trace: part_set_bootable = -1 (error)
Fatal error: exception Guestfs.Error("part_set_bootable: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.")

Debug output doesn't particularly add anything.
Comment 4 Richard W.M. Jones 2011-12-23 05:07:10 EST
I tried using the RHEL 6 kernel in the libguestfs appliance,
on top of an ordinary Fedora host, but could not reproduce
the bug this way.
Comment 5 Richard W.M. Jones 2012-01-30 06:23:43 EST
Might be caused by udev/blkid:
https://rwmj.wordpress.com/2012/01/19/udev-unexpectedness/#content
Comment 6 Richard W.M. Jones 2012-02-06 05:55:27 EST
Here's another report, with the RHEL 6.3 preview packages (1.16.2-1):

[root@localhost images]# virt-resize --expand /dev/vda1 centos6_64-template.img newbigvps.img 
Examining centos6_64-template.img ...
**********

Summary of changes:

/dev/sda1: This partition will be resized from 3.0G to 30.0G.  The 
    filesystem ext4 on /dev/sda1 will be expanded using the 'resize2fs' 
    method.

**********
Setting up initial partition table on newbigvps.img ...
Copying /dev/sda1 ...
 100% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓⟧ 00:00
Fatal error: exception Guestfs.Error("part_set_bootable: do_part_set_bootable: parted: /dev/vdb: Warning: WARNING: the kernel failed to re-read the partition table on /dev/vdb (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.")
[root@localhost images]# guestfish -a newbigvps.img run : part-list
part-list should have 1 parameter(s)
type 'help part-list' for help on part-list
[root@localhost images]# guestfish -a newbigvps.img run : part-list /dev/vda
[0] = {
  part_num: 1
  part_start: 32256
  part_end: 32210026495
  part_size: 32209994240
}
Comment 7 Richard W.M. Jones 2012-02-09 07:50:31 EST
Tentatively say this is fixed by the following
upstream commit:
https://github.com/libguestfs/libguestfs/commit/21a9efcad5379cbfcc2404142472ec5efda4aaa0

Note You need to log in before you can comment on or make changes to this bug.